#ifndef _SAVE_
#define _SAVE_
typedef struct SaveInfo SaveInfo;
#include "common.h"
struct SaveInfo {
    bool saved;
    bool exits [4];
    int n;
    float * xy;
};
#include "block.h"
#include "game.h"
#include "editor.h"
#define URL "com.allefant.orchid"
#define read_game_int(name) \
    if (land_starts_with(row, #name" ")) { \
        sscanf(row, #name" %d", & game->name); \
    }
#define write_game_int(name) \
    land_file_print(f, #name" %d", game->name);
void save_info(void);
void load_info(void);
void save_get_name(char const * base, int level, char const * suffix, char * out);
void save_level(bool editing, bool at_entrance);
void count_seen(void);
void save_check(int level);
void load_level(bool editing, bool at_entrance);
void save_load_from_offset(LandBuffer * f, int ox, int oy, int oz);
void save_reset_room(int i);
void save_new(void);
bool save_is_saved(int i);
int save_get_level_n(int i);
float* save_get_level_xy(int i);
#endif
